<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title>Navigation</title>

<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html;charset=UTF8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />

<link rel="shortcut icon" href="../../images/favicon.ico"
	type="image/x-icon" />

<link href="../../css/bootstrap.min.css" rel="stylesheet" />
<link href="../../css/sb-admin-2.css" rel="stylesheet" />
<link href="../../css/jquery-ui.css" rel="stylesheet" />
<link href="../../font-awesome-4.2.0/css/font-awesome.min.css"
	rel="stylesheet" />

</head>
<body>
<div th:fragment="nav">
			<header class="main-header">
        	<!-- Logo -->
        		<a th:href="@{/inicio}" class="logo">
          		<!-- mini logo for sidebar mini 50x50 pixels -->
          		<span class="logo-mini"><img th:src="@{/images/owl_mini.png}"/></span>
          		<!-- logo for regular state and mobile devices -->
          		<span class="logo-lg"><img th:src="@{/images/owl.png}"/></span>
        		</a>
			<nav class="navbar navbar-static-top" role="navigation" style="height: 50px">
         	 <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
            	<span class="sr-only">Toggle navigation</span>
          	 </a>
          	<div class="navbar-custom-menu">
            	<ul class="nav navbar-nav">
						<li class="dropdown" th:if="${userSession.getObject('empresa')}"><a class="dropdown-toggle"
							data-toggle="dropdown" href="#"> <i
								class="fa fa-institution fa-fw"></i><span
								th:text="${userSession.getObject('empresa').razonSocial}">OWL
									Institute SA</span>
						</a>
							<ul style="min-width: 250px" class="dropdown-menu"
								th:if="${userSession.hasRole('root')}">
								<li th:each="emp: ${userSession.getObject('empresaList')}"
									th:onclick="'cambiarEmpresa(\''+${emp.codigo}+'\')'"
									style="cursor: pointer">
									<p class="dropdown-toggle">
										<span><i class="fa fa-institution fa-fw"></i> <span
											th:text="${emp.razonSocial}">OWL Institute SA</span></span>
									</p>
								</li>

							</ul></li>
						<li class="dropdown user user-menu">
                		<a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  			<img src="../../images/user.png" alt="user" class="user-image" title="User" th:src="@{/session/userpic}" style="max-width: 25px"/>
                  			<span th:text="${currentUser.name + ' '+ currentUser.surname}" class="hidden-xs">Alexander Pierce</span>
                		</a>
                	<ul class="dropdown-menu">
                  	<li class="user-header">
                    	<img src="../../images/user.png" alt="user" class="img-circle" title="User" th:src="@{/session/userpic}" style="max-width: 150px"/>
                  		<p th:text="${currentUser.name + ' '+ currentUser.surname}" class="hidden-xs">Alexander Pierce</p>
                  	</li>
                  	<li class="user-footer">
                    	<div class="pull-left">
                    	  	<a href="#" class="btn btn-default btn-flat">Profile</a>
                    	</div>
                    	<div class="pull-right">
                      		<a href="javascript:logout()" th:text="#{menu.logout}" class="btn btn-default btn-flat">Sign out</a>
                    	</div>
                  	</li>
                	</ul>
              		</li>
            	</ul>
          </div>
	    </nav>
		<form action="#" th:action="@{/logout}" method="POST" id="logout">
			<input type="hidden" th:name="${_csrf.parameterName}"
				th:value="${_csrf.token}" />
		</form>

		<script>

	       function logout() {
		       $("#logout").submit();
	        }
       </script>
       <script th:if="${userSession.hasRole('root')}">
            function cambiarEmpresa(codEmpresa){
                 var token = "[[${_csrf.token}]]";
                 var data = {_csrf: token, codEmpresa:codEmpresa};
                 $.post("[[@{/cambiar-empresa}]]", data).done(function(response){
                     if (response){
                    	 window.location.reload();
                     }
			     });
             }
       </script>
			
			<!-- /.navbar-top-links -->
			</header>
			<div th:replace="fragments/menu :: content">
				<div class="navbar-default sidebar" role="navigation">
					<div class="sidebar-nav navbar-collapse">
						<ul class="nav" id="side-menu">
							<li class="active"><a href="#"><img
									src="../../icons/24/main_menu.png"
									th:src="@{/icons/24/main_menu.png}" /> <span
									th:text="#{menu.principal}"></span><span class="fa arrow"></span></a>
								<ul class="nav nav-second-level">

									<li sec:authorize="hasRole('MotivoConsulta_sel')"><a
										th:href="@{/abm/motivo_consulta}"><img
											src="../../icons/24/database.png"
											th:src="@{/icons/24/database.png}" /><span
											class="menu-caption" th:text="#{menu.gestores}">Usuarios</span></a></li>


									<li sec:authorize="hasRole('MotivoConsulta_sel')"><a
										th:href="@{/abm/motivo_consulta}"><img
											src="../../icons/24/run.png" th:src="@{/icons/24/run.png}" /><span
											class="menu-caption" th:text="#{menu.sistemas}">Sistemas</span></a></li>


									<li sec:authorize="hasRole('usuario_sel')"><a
										th:href="@{/abm/usuario}"><img
											src="../../icons/24/users.png"
											th:src="@{/icons/24/users.png}" /><span class="menu-caption"
											th:text="#{menu.usuarios}">Usuarios</span></a></li>



									<li sec:authorize="hasRole('MotivoConsulta_sel')"><a
										th:href="@{/abm/motivo_consulta}"><img
											src="../../icons/24/session.png"
											th:src="@{/icons/24/session.png}" /><span
											class="menu-caption" th:text="#{menu.sesiones}">Sesiones</span></a></li>

								</ul> <!-- /.nav-second-level --></li>
						</ul>
					</div>
			
				</div>
			
			</div>
			
			
	</div>
	</body>
</html>


